Assistants
List versions, newest first
GET
/
v1
/
assistants
/
{id}
/
versions
List versions, newest first
curl --request GET \
--url https://api-us.larynth.com/v1/assistants/{id}/versions \
--cookie lx_session=import requests
url = "https://api-us.larynth.com/v1/assistants/{id}/versions"
headers = {"cookie": "lx_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'lx_session='}};
fetch('https://api-us.larynth.com/v1/assistants/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-us.larynth.com/v1/assistants/{id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "lx_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-us.larynth.com/v1/assistants/{id}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "lx_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-us.larynth.com/v1/assistants/{id}/versions")
.header("cookie", "lx_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-us.larynth.com/v1/assistants/{id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'lx_session='
response = http.request(request)
puts response.read_body{
"data": [
{
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"greeting_text": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"mode": "cascade",
"system_prompt": "<string>",
"version": 123,
"denoise": true,
"fillers": [
"<string>"
],
"interruption_profile": {
"enabled": true,
"false_interruption_ms": 5000,
"ignore_words": [
"<string>"
],
"keep_echo_words": true,
"min_speech_ms": 5000,
"min_words": 10,
"vad_only_min_speech_ms": 5000
},
"knowledge_base_ids": [
"<string>"
],
"latency": {
"force_finalize": true,
"short_first_chunk": true,
"speculative_tts": true,
"speculative_tts_min_prob": 0.5
},
"llm_fallback_model_ids": [
"<string>"
],
"llm_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_params": {},
"max_call_seconds": 1800,
"post_call": {
"extraction_fields": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"enum": [
"<string>"
],
"required": true
}
],
"success_criteria": "<string>",
"summary_enabled": true,
"summary_prompt": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"s2s_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"s2s_params": {},
"stt_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stt_params": {},
"tools": [
{
"class": "fast",
"description": "<string>",
"json_schema": {},
"kind": "end_call",
"name": "<string>",
"config": {},
"destinations": [
{
"mode": "cold",
"name": "<string>",
"description": "<string>",
"e164": "<string>",
"ring_timeout_seconds": 30,
"sip_uri": "<string>",
"whisper": "<string>"
}
],
"endpoint_ref": "<string>",
"timeout_ms": 8000
}
],
"tts_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tts_params": {},
"tts_voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turn_profile": {
"commit_prob": 0.5,
"commit_without_words": true,
"eager_prob": 0.5,
"hold_max_ms": 2500,
"hold_min_ms": 2500,
"max_silence_ms": 15000,
"min_speech_ms": 5000,
"stop_silence_ms": 5000,
"use_stt_eot": true
}
}
],
"next_cursor": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}Authorizations
sessionapiKey
Dashboard session cookie
Path Parameters
Query Parameters
Page size
Required range:
1 <= x <= 200Opaque cursor from next_cursor of the previous page
Maximum string length:
512⌘I
List versions, newest first
curl --request GET \
--url https://api-us.larynth.com/v1/assistants/{id}/versions \
--cookie lx_session=import requests
url = "https://api-us.larynth.com/v1/assistants/{id}/versions"
headers = {"cookie": "lx_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'lx_session='}};
fetch('https://api-us.larynth.com/v1/assistants/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-us.larynth.com/v1/assistants/{id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "lx_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-us.larynth.com/v1/assistants/{id}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "lx_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-us.larynth.com/v1/assistants/{id}/versions")
.header("cookie", "lx_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-us.larynth.com/v1/assistants/{id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'lx_session='
response = http.request(request)
puts response.read_body{
"data": [
{
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"greeting_text": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"mode": "cascade",
"system_prompt": "<string>",
"version": 123,
"denoise": true,
"fillers": [
"<string>"
],
"interruption_profile": {
"enabled": true,
"false_interruption_ms": 5000,
"ignore_words": [
"<string>"
],
"keep_echo_words": true,
"min_speech_ms": 5000,
"min_words": 10,
"vad_only_min_speech_ms": 5000
},
"knowledge_base_ids": [
"<string>"
],
"latency": {
"force_finalize": true,
"short_first_chunk": true,
"speculative_tts": true,
"speculative_tts_min_prob": 0.5
},
"llm_fallback_model_ids": [
"<string>"
],
"llm_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_params": {},
"max_call_seconds": 1800,
"post_call": {
"extraction_fields": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"enum": [
"<string>"
],
"required": true
}
],
"success_criteria": "<string>",
"summary_enabled": true,
"summary_prompt": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"s2s_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"s2s_params": {},
"stt_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stt_params": {},
"tools": [
{
"class": "fast",
"description": "<string>",
"json_schema": {},
"kind": "end_call",
"name": "<string>",
"config": {},
"destinations": [
{
"mode": "cold",
"name": "<string>",
"description": "<string>",
"e164": "<string>",
"ring_timeout_seconds": 30,
"sip_uri": "<string>",
"whisper": "<string>"
}
],
"endpoint_ref": "<string>",
"timeout_ms": 8000
}
],
"tts_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tts_params": {},
"tts_voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turn_profile": {
"commit_prob": 0.5,
"commit_without_words": true,
"eager_prob": 0.5,
"hold_max_ms": 2500,
"hold_min_ms": 2500,
"max_silence_ms": 15000,
"min_speech_ms": 5000,
"stop_silence_ms": 5000,
"use_stt_eot": true
}
}
],
"next_cursor": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
}